# acme

[acme.sh](https://github.com/acmesh-official/acme.sh) shell-script ACME client
for issuing LetsEncrypt certificates

Has a chicken/egg problem if you haven't configured a webserver and are using
the "http" method of obtaining certs - can't run the server without certs,
can't issue certs without it being up. Best practice is to bootstrap a non-TLS
server first, then run this role, then switch on TLS.

## References

Upstream [Options and
Parameters](https://github.com/acmesh-official/acme.sh/wiki/Options-and-Params)

## Requirements

Minimum tested ansible version: 2.9.5

## Defaults

See `defaults/main.yml`

By default no certificates are issued, you need to configure the `acme_certs`
to specify which ones to obtain.

## Example Playbook

```yaml
- hosts: all
  vars:
    acme_certs:
      - cert_names:
          - "static.example.com"
          - "alias.example.com"
        method: "http"
  roles:
    - acme

```

## License and Author

© 2020 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
